List video recipes
curl --request GET \
--url https://makelocalads.com/api/v1/video-recipes \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://makelocalads.com/api/v1/video-recipes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://makelocalads.com/api/v1/video-recipes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "ugc-30s-voiceover",
"title": "<string>",
"subtitle": "<string>",
"duration_seconds": 30,
"preview_video_url": "<string>",
"poster_url": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "<string>",
"request_id": "<string>"
}UGC videos
List video recipes
The video recipes the create-video dialog offers. Pass an id as recipe_id.
GET
/
video-recipes
List video recipes
curl --request GET \
--url https://makelocalads.com/api/v1/video-recipes \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://makelocalads.com/api/v1/video-recipes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://makelocalads.com/api/v1/video-recipes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "ugc-30s-voiceover",
"title": "<string>",
"subtitle": "<string>",
"duration_seconds": 30,
"preview_video_url": "<string>",
"poster_url": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "<string>",
"request_id": "<string>"
}Last modified on September 30, 2026